using System;
using System.Collections.Generic;
using System.Linq;

class Program
{
    static void Main(string[] args)
    {
        int n = int.Parse(Console.ReadLine());
        for (int i = 0; i < n; i++)
        {
            string[] s1 = Console.ReadLine().Split();
            int br_ucenika = int.Parse(s1[0]);
            int br_banana = int.Parse(s1[1]);
            int br_grupa = int.Parse(s1[2]);
            
            int veca_grupa = br_ucenika / br_grupa + 1;
            int br_vecih_grupa = br_ucenika % br_grupa;
            int manja_grupa = br_ucenika / br_grupa;
            int br_manjih_grupa = br_grupa - br_vecih_grupa;
            int zbir_clanova_vecih_grupa = veca_grupa * (veca_grupa + 1) / 2 * br_vecih_grupa;
            int zbir_clanova_manjih_grupa = manja_grupa * (manja_grupa + 1) / 2 * br_manjih_grupa;
            int najmanji_zbir_banana = zbir_clanova_vecih_grupa + zbir_clanova_manjih_grupa;
            
            if (najmanji_zbir_banana > br_banana)
            {
                Console.WriteLine("Nie");
            }
            else
            {
                Console.WriteLine("Tak");
            }
        }
    }
}